# React Tailwindcss Datepicker tw- prefix

<p align="center">
    
    A fork of react-tailwindcss-datepicker with tw- tailwind css  prefixing. For a codebase with a lot of css utility libraries like bootstrap installed, it is best to prefix tailwind css classes with the "tw-" prefix. This package is a modified  version of react-tailwindcss-datepicker with the tailwind css classes used prefixed with "tw-"
</p>****

<div align="center">
    
[![npm version](https://img.shields.io/npm/v/react-tailwindcss-datepicker?style=flat-square)](https://www.npmjs.com/package/react-tailwindcss-datepicker-tw-prefix)
[![npm downloads](https://img.shields.io/npm/dt/react-tailwindcss-datepicker?style=flat-square)](https://www.npmjs.com/package/react-tailwindcss-datepicker-tw-prefix)
    
</div>




## Installation

⚠️ This is a modified version of [react-tailwindcss-datepicker](https://github.com/onesine/react-tailwindcss-datepicker).

### Install via npm

```
$ npm install react-tailwindcss-datepicker-tw-prefix
```

### Install via yarn

```
$ yarn add react-tailwindcss-datepicker-tw-prefix
```

Make sure you have installed the peer dependencies as well with the below versions.

```
"dayjs": "^1.11.6",
"react": "^17.0.2 || ^18.2.0"
```

## Simple Usage

#### Tailwindcss Configuration

Add the datepicker to your tailwind configuration using this code

```javascript
// in your tailwind.config.js
module.exports = {
    // ...
      prefix: 'tw-',
    content: [
        "./src/**/*.{js,jsx,ts,tsx}",
        "./node_modules/react-tailwindcss-datepicker-tw-prefix/dist/index.esm.js"
    ]
    // ...
};
```



